Subject: Re: Problem Using dd?
From: Bob McGowan <[email-masked]>
To: Christopher Bray <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 Jan 2001 10:45:35 -0800

Christopher Bray wrote:
> 
> Hi, folks.  I just want to say, Great Job!  As someone who went from being
> a Windows lover to a unix advocate, your software severly reduces the
> feeling of helplessnes I now get whenever I use Windows :>
> 
> I have a question, though - is it possible to use dd to read and write
> directly to a device such as a floppy drive?  Yesterday I reinstalled
> Windows & it nuked my MBR so I can't boot to Linux.  My first thought was
> to either (a) repair the MBR or (b) create a LILO (or other) boot disk,
> and dd would be ideal.  However, I can't figure out how to do this under
> cygwin.  I don't know if this is a limitation to the software (or Windows'
> device handling) or if I'm just too dumb to figure it out.

None of the above ;-)

mount -s -b -f //./drive /dev/drive

where the first 'drive' would be "physicaldrive0", etc.  For a floppy or CD, 'drive' would be the drive letter (including the colon).  Don't use disk drive letters since
they will give you the partition corresponding to the letter rather than the whole disk.  Also, the number in "physicaldrive#" corresponds to the number in "disk#" as seen
in 'Disk Administrator'.

The second 'drive' is replaced with some name you pick.  So a real example for Disk0 would be:

mount -s -b -f //./physicaldrive0 /dev/hd00

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple